copy %RECIPE_DIR%\GenerateSourceGroups.cmake %SRC_DIR%\cmake\modules
copy %RECIPE_DIR%\CMakeLists.txt %SRC_DIR%

REM *VERY* temporarily disable building tests
REM Need to figure out why XMLTester.cpp is failing
cmake -G "NMake Makefiles" -DCMAKE_PREFIX_PATH=%LIBRARY_PREFIX% -DCMAKE_INSTALL_PREFIX:PATH=%LIBRARY_PREFIX% -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS="-DNOMINMAX" -DGEOS_ENABLE_TESTS=OFF %SRC_DIR%
if errorlevel 1 exit 1

nmake
if errorlevel 1 exit 1

REM ctest
REM if errorlevel 1 exit 1

nmake install
if errorlevel 1 exit 1
